
From: Valdis.Kletnieks@vt.edu, Sam Ravnborg <sam@ravnborg.org>

Adds an explicit check for the new modutils in the build system.

Generally we should avoid these sorts of hardwired checks for the right
versions of things, but we are still getting a significant number of problem
reports due to people not having the new tools.  Let's help them out.



 25-akpm/Makefile |    5 +++++
 1 files changed, 5 insertions(+)

diff -puN Makefile~old-module-tools-warning Makefile
--- 25/Makefile~old-module-tools-warning	Thu Aug 28 14:24:35 2003
+++ 25-akpm/Makefile	Thu Aug 28 14:24:35 2003
@@ -606,6 +606,11 @@ modules_install: _modinst_ _modinst_post
 
 .PHONY: _modinst_
 _modinst_:
+	@if [ -z "`$(DEPMOD) -V | grep module-init-tools`" ]; then \
+		echo "Install a current version of module-init-tools"; \
+		echo "See http://www.codemonkey.org.uk/post-halloween-2.5.txt";\
+		/bin/false; \
+	fi
 	@rm -rf $(MODLIB)/kernel
 	@rm -f $(MODLIB)/build
 	@mkdir -p $(MODLIB)/kernel

_
